#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int n, a = 0;
    cin >> n;

    vector<int> v(n);

    for(int &i: v) {
        cin >> i;
        if(i)
            a = 1;
    }

    if(n == 3) {
        cout << max({v[0], v[1], v[2]}) - min({v[0], v[1], v[2]});
    }
    else {
        if(f)
            cout << 1;
        else 
            cout << 0;
    }
}
